require 'openssl'
require 'time'
require 'securerandom'
require 'rest_client'

require 'endorser/version'
require 'endorser/null_object'
require 'endorser/configuration'

module Endorser
  @@logger = nil

  # Configures the endorser library
  def self.configure
    @@configuration = Configuration.new
    yield @@configuration
    @@logger = @@configuration.logger
  end

  # The logger that endorser will use
  # @return [Logger|Endorser::NullObject]
  def self.logger
    @@logger || NullObject.new
  end
end

require 'endorser/errors/request_error'
require 'endorser/response'
require 'endorser/receipt'
require 'endorser/client'
