module Endorser
  class Response
    attr_reader :request, :raw

    def initialize(raw, request)
      @raw      = raw
      @request  = request
    end

    # @return [Hash]
    def headers
      raw.raw_headers
    end

    # @return [Hash]
    def cookies
      raw.cookies
    end

    # @return [String]
    def body
      raw.to_s
    end

    # @return [Integer]
    def code
      raw.code
    end

    # @return [Boolean]
    def informational?
      code.between?(100, 199)
    end

    # @return [Boolean]
    def success?
      code.between?(200, 299)
    end

    # @return [Boolean]
    def redirection?
      code.between?(300, 399)
    end

    # @return [Boolean]
    def client_error?
      code.between?(400, 499)
    end

    # @return [Boolean]
    def server_error?
      code.between?(500, 599)
    end
  end
end
